API Reference

Auth

Sign-in, refresh and session flows (session only).

16 endpoints· Auth: JWT
post/api/v1/console/auth/activate JWT

Create activate

Request body

application/json
{
  "email": "string",
  "code": "string",
  "password": "string",
  "deviceId": "string"
}
email
string
—
code
string
—
password
string
—
deviceId
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/activate" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "email": "string",
  "code": "string",
  "password": "string",
  "deviceId": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/change-email/cancel JWT

Create cancel

Request body

application/json
{
  "requestId": "00000000-0000-0000-0000-000000000000"
}
requestId
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/change-email/cancel" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "requestId": "00000000-0000-0000-0000-000000000000"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/change-email/resend JWT

Create resend

Request body

application/json
{
  "requestId": "00000000-0000-0000-0000-000000000000",
  "target": "string"
}
requestId
string (uuid)
—
target
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/change-email/resend" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "requestId": "00000000-0000-0000-0000-000000000000",
  "target": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/change-email/start JWT

Create start

Request body

application/json
{
  "newEmail": "string",
  "currentPassword": "string"
}
newEmail
string
—
currentPassword
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/change-email/start" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "newEmail": "string",
  "currentPassword": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/change-email/verify JWT

Create verify

Request body

application/json
{
  "requestId": "00000000-0000-0000-0000-000000000000",
  "oldCode": "string",
  "newCode": "string"
}
requestId
string (uuid)
—
oldCode
string
—
newCode
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/change-email/verify" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "requestId": "00000000-0000-0000-0000-000000000000",
  "oldCode": "string",
  "newCode": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/change-password JWT

Create change-password

Request body

application/json
{
  "currentPassword": "string",
  "newPassword": "string"
}
currentPassword
string
—
newPassword
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/change-password" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "currentPassword": "string",
  "newPassword": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/login JWT

Create login

Request body

application/json
{
  "email": "string",
  "password": "string",
  "branchId": "00000000-0000-0000-0000-000000000000",
  "deviceId": "string"
}
email
string
—
password
string
—
branchId
string (uuid)
—
deviceId
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/login" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "email": "string",
  "password": "string",
  "branchId": "00000000-0000-0000-0000-000000000000",
  "deviceId": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/logout JWT

Create logout

Request body

application/json
{
  "refreshToken": "string"
}
refreshToken
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/logout" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "refreshToken": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/auth/me JWT

Get me

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/auth/me" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
post/api/v1/console/auth/password/forgot JWT

Create forgot

Request body

application/json
{
  "email": "string"
}
email
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/password/forgot" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "email": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/password/reset JWT

Create reset

Request body

application/json
{
  "email": "string",
  "code": "string",
  "password": "string"
}
email
string
—
code
string
—
password
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/password/reset" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "email": "string",
  "code": "string",
  "password": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/refresh JWT

Create refresh

Request body

application/json
{
  "refreshToken": "string"
}
refreshToken
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/refresh" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "refreshToken": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/register/start JWT

Create start

Request body

application/json
{
  "organizationName": "string",
  "branchName": "string",
  "baseCurrencyCode": "string",
  "ownerName": "string",
  "email": "string"
}
organizationName
string
—
branchName
string
—
baseCurrencyCode
string
—
ownerName
string
—
email
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/register/start" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "organizationName": "string",
  "branchName": "string",
  "baseCurrencyCode": "string",
  "ownerName": "string",
  "email": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/register/verify JWT

Create verify

Request body

application/json
{
  "email": "string",
  "code": "string",
  "password": "string",
  "deviceId": "string"
}
email
string
—
code
string
—
password
string
—
deviceId
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/register/verify" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "email": "string",
  "code": "string",
  "password": "string",
  "deviceId": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/switch-branch JWT

Create switch-branch

Request body

application/json
{
  "branchId": "00000000-0000-0000-0000-000000000000"
}
branchId
string (uuid)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/switch-branch" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "branchId": "00000000-0000-0000-0000-000000000000"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/auth/verification/resend JWT

Create resend

Request body

application/json
{
  "email": "string",
  "purpose": "string"
}
email
string
—
purpose
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/auth/verification/resend" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "email": "string",
  "purpose": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu